System.Core 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Class | System.AttributeTargets.Struct | System.AttributeTargets.Property | System.AttributeTargets.Field | System.AttributeTargets.Parameter | System.AttributeTargets.ReturnValue | System.AttributeTargets.All) To be added.

Indicates that the use of on a member is meant to be treated as a dynamically dispatched type.

- Constructor
  4.0.0.0

  When used in an attribute specification, the default constructor is semantically equivalent to DynamicAttribute({ true }), and can be considered a shorthand for that expression. It should therefore only be used on an element of type .

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  This constructor is meant to be used on types that are built on an underlying occurrence of that is meant to be treated dynamically.

  For instance, if C is a generic type with two type parameters, a use of the constructed type C<Object,Object> might be intended to treat the first type argument dynamically and the second typically, in which case the appropriate attribute specification should use a transformFlags value of { false, true, false }.

  Initializes a new instance of the class.

  Specifies, in a prefix traversal of a type's construction, which occurrences are meant to be treated as a dynamically dispatched type.
- Property
  4.0.0.0
  System.Collections.Generic.IList<System.Boolean> To be added. To be added.

  Specifies, in a prefix traversal of a type's construction, which occurrences are meant to be treated as a dynamically dispatched type.